Cerclen API
Conversations

List a request's messages

The request's conversation as the key's owner sees it, oldest first.

GET
/api/v1/deals/{deal_id}/requests/{request_id}/messages

The request's conversation as the key's owner sees it, oldest first.

Authorization

ApiKey
headerAuthorizationBearer <token>

An API key from your organization's API Keys page in Cerclen.

Path Parameters

request_id*Request Id
Formatuuid
deal_id*Deal Id
Formatuuid

Response Body

Successful Response

application/json
  1. response
[index: integer]?

An answer, a question, a reference or a note in a request's conversation.

curl -X GET 'https://app.cerclen.com/api/v1/deals/497f6eca-6276-4993-bfeb-53cbbbba6f08/requests/497f6eca-6276-4993-bfeb-53cbbbba6f08/messages' \  -H "Authorization: Bearer $CERCLEN_KEY"
[  {    "author": {      "email": "string",      "id": "string",      "name": "string"    },    "files": [      {        "content_type": "string",        "downloadable": true,        "kind": "file",        "name": "string",        "size": 0,        "url": "string",        "version_id": "string"      }    ],    "format": "text",    "id": "string",    "internal": true,    "kind": "response",    "on_behalf": true,    "partial": true,    "posted_at": "2019-08-24T14:15:22Z",    "source": "email",    "text": "string"  }]